Bug 28003 - Invoice adjustments using inactive budgets do not indicate that status
Summary: Invoice adjustments using inactive budgets do not indicate that status
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-19 15:02 UTC by Nick Clemens
Modified: 2021-04-24 16:52 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.05,20.05.11


Attachments
Bug 28003: Invoice adjustments using inactive budgets do not indicate that status (2.13 KB, patch)
2021-03-19 15:04 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28003: Invoice adjustments using inactive budgets do not indicate that status (2.17 KB, patch)
2021-03-24 10:01 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 28003: Invoice adjustments using inactive budgets do not indicate that status (2.24 KB, patch)
2021-03-25 14:46 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2021-03-19 15:02:05 UTC
This issue affects library who have nultiple budgets. If a library rolls over their budget and has duplicated funds when viewing old invoices they adjust will appear as if they are using the current funds

To recreate
1 - In acquisitions go to a vendor
2 - Click 'Receive'
3 - Create an invoice
4 - Finish receiving
5 - Go to Admin->budgets
6 - Duplicate your current budget
7 - Mark the original budget inactive
8 - View the invoice you created
9 - No indication the budget is inactive

Note that adding new adjustments does show only the active budget unless you request to see inactive.
Comment 1 Nick Clemens 2021-03-19 15:04:53 UTC
Created attachment 118549 [details] [review]
Bug 28003: Invoice adjustments using inactive budgets do not indicate that status

This patch affects the display of existing invoice adjustments to indicate when using an inactive budget

To recreate
1 - In acquisitions go to a vendor
2 - Click 'Receive'
3 - Create an invoice
4 - Finish receiving
5 - Go to Admin->budgets
6 - Duplicate your current budget
7 - Mark the original budget inactive
8 - View the invoice you created
9 - No indication the budget is inactive
10 - Apply patch
11 - Reload the page
12 - The fund shows '(inactive)'
13 - The dropdown to edit the funds also indicates which funds are inactive

Note that adding new adjustments does show only the active budget unless you request to see inactive.
Comment 2 Amit Gupta 2021-03-24 10:01:14 UTC
Created attachment 118711 [details] [review]
Bug 28003: Invoice adjustments using inactive budgets do not  indicate that status

To test
1 - In acquisitions go to a vendor
2 - Click 'Receive'
3 - Create an invoice
4 - Finish receiving
5 - Go to Admin->budgets
6 - Duplicate your current budget
7 - Mark the original budget inactive
8 - View the invoice you created
9 - No indication the budget is inactive
10 - Apply patch
11 - Reload the page
12 - The fund shows '(inactive)'
13 - The dropdown to edit the funds also indicates which funds are inactive
Comment 3 Martin Renvoize 2021-03-25 14:46:07 UTC
Created attachment 118817 [details] [review]
Bug 28003: Invoice adjustments using inactive budgets do not indicate that status

This patch affects the display of existing invoice adjustments to indicate when using an inactive budget

To recreate
1 - In acquisitions go to a vendor
2 - Click 'Receive'
3 - Create an invoice
4 - Finish receiving
5 - Go to Admin->budgets
6 - Duplicate your current budget
7 - Mark the original budget inactive
8 - View the invoice you created
9 - No indication the budget is inactive
10 - Apply patch
11 - Reload the page
12 - The fund shows '(inactive)'
13 - The dropdown to edit the funds also indicates which funds are inactive

Note that adding new adjustments does show only the active budget unless you request to see inactive.

Signed-off-by: Amit Gupta <amitddng135@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2021-03-25 14:46:44 UTC
Trivial fix, nice improvement.. Passing QA
Comment 5 Jonathan Druart 2021-04-01 16:55:14 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-04-13 14:56:22 UTC
Pushed to 20.11.x for 20.11.05
Comment 7 Andrew Fuerste-Henry 2021-04-24 14:20:15 UTC
Pushed to 20.05.x for 20.05.11
Comment 8 Victor Grousset/tuxayo 2021-04-24 16:52:05 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.